Non trova i pacchetti per Flash

Problemi con l'installazione di pacchetti

Non trova i pacchetti per Flash

Messaggioda Leocane » 03/10/2013, 23:42

Ciao, ho provato a installare i pacchetti di flashplugin-nonfree ma non li trova, è un problema comune? non ho trovato niente in rete.
Il pacchetto: http://packages.debian.org/wheezy/flashplugin-nonfree

Codice: Seleziona tutto
root@Leo-machine:/home/primate# aptitude install flashplugin-nonfree
Impossibile trovare una versione candidata di flashplugin-nonfree
Impossibile trovare una versione candidata di flashplugin-nonfree
Nessun pacchetto verrà installato, aggiornato o rimosso.
0 pacchetti aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario prelevare 0 B di archivi. Dopo l'estrazione, verranno occupati 0 B.


Perchè non lo trova?

In ogni caso, ho voluto mettere Adobe flash perchè Gnash non funziona bene, non carica i video in HD e si vede leggermente a scatti. Lightspark non li carica proprio.
Se conoscete altre alternative benvengano perchè io non sono riuscito a trovare niente...
Leggermente OT: perchè solo alcuni video di youtube si vedono in HTML5?

ciao

Leo
Leocane
Newbie
Newbie
 
Messaggi: 9
Iscritto il: 26/09/2013, 1:48

Re: Non trova i pacchetti per Flash

Messaggioda mirko.pagliai » 04/10/2013, 9:52

Posta il sources.list, probabilmente non hai abilitato il ramo non-free (verifica con la guida).

Leocane ha scritto:Leggermente OT: perchè solo alcuni video di youtube si vedono in HTML5?

Se vai qui vedi cosa supporta il tuo browser. Con Chrome dovresti avere un supporto abbastanza completo, con Firefox/Iceweasel no.
Prova SSMP: i tuoi file multimediali accessibili da tutti i tuoi dispositivi! [sito | topic sul forum]

www.mirkopagliai.it

Ubuntu è un'antica parola africana che significa "Non so installare Debian" (cit.)
Avatar utente
mirko.pagliai
Administrator
Administrator
 
Messaggi: 4102
Iscritto il: 15/03/2010, 23:46

Re: Non trova i pacchetti per Flash

Messaggioda Risca » 04/10/2013, 12:03

Aggiungo che il servizio youtube in ogni caso contiene dei video che sono offerti esclusivamente in flash (non ho idea per quale policy o accordo commerciale).

Riguardo a flash probabilmente come ti è stato detto non hai abilitato i repository non-free. Purtroppo Flash è una grande magagna, un po' per tutto il web. Infatti Adobe si è sempre ben guardata dall'appoggiare soluzione libere e in caso di soluzioni smarthphone/palmari spesso uccide il processore.

Per fortuna, seppure con alcune limitazioni, è possibile già ora fare a meno di Flash utilizzando soluzioni interamente libere. È possibile infatti ricorrere a Gnash [2] oppure appoggiarsi anche ad altre soluzioni come spiegato nelle guide di debianizzati.org [3] [4].

Ovviamente sta a te se decide o meno di passare al lato oscuro del software proprietario o continuare la retta via della libertà.

Attenzione infatti che il software oggetto della discussione è proprietario. Il fatto non è di poco conto, infatti implica che si stia discutendo di qualcosa che limita le libertà dell'utente e che, non essendo Free-Software, impedisce tutte o almeno parte delle seguenti condizioni:

- Libertà di eseguire il programma, per qualsiasi scopo;
- Libertà di studiare come funziona il programma e adattarlo alle proprie necessità (l'accesso al codice sorgente ne è un prerequisito);
- Libertà di ridistribuire copie in modo da aiutare il prossimo;
- Libertà di migliorare il programma e distribuirne pubblicamente i miglioramenti da voi apportati (e le vostre versioni modificate in genere), in modo tale che tutta la comunità ne tragga beneficio (l'accesso al codice sorgente ne è un prerequisito).

(Fonte: http://www.gnu.org/philosophy/free-sw.it.html)

Pertanto consiglierei vivamente di abbandonare il software indicato per passare ad una alternativa libera.

Inoltre, seppure Debian faciliti l'installazione di applicativi non liberi tramite i repository contrib e non-free, lo stesso contratto sociale[1] della distribuzione prevede la centralità del Free-Software. Infatti senza software libero difficilmente Debian potrebbe essere quella che è oggi.

[1] http://www.debian.org/social_contract.it.html

[2] http://gnashdev.org/
[3] http://guide.debianizzati.org/index.php ... _su_Debian
[4] http://guide.debianizzati.org/index.php ... easeMonkey
Avatar utente
Risca
e-zine member
e-zine member
 
Messaggi: 2011
Iscritto il: 09/02/2009, 11:37
Località: Torino-Milano

Re: Non trova i pacchetti per Flash

Messaggioda Tigellino » 04/10/2013, 14:41

Come ho scritto più volte, l'unico modo in cui riesco a sputtanare bene Sidux è aggiungere al source.list i repository contrib non-free; quando poi li ritolgo, apt-get si ostina a riaggiornarli facendomi un caos pazzesco nei pacchetti.
Grazie per le indicazioni: appena avrò tempo proverò a sistemare meglio iceweasel senza l'uso dei contrib non-free :-*
Avatar utente
Tigellino
Full Member
Full Member
 
Messaggi: 204
Iscritto il: 05/06/2013, 7:35
Località: Toscana

Re: Non trova i pacchetti per Flash

Messaggioda razor » 04/10/2013, 15:47

Sei arrivato in Debian da pochi giorni, e ti sei già imbattuto in un argomento controverso... come capita a tutti.

Disclaimer:
Il software contenuto nei repository "contrib" e "non-free", a rigore, non fa neppure parte di Debian: è software proprietario (non-free) o comunque con dipendenze non libere (contrib), configurato in modo da funzionare con il sistema. E questa è una delle questioni che fanno sì che Debian non sia inclusa nelle distribuzioni raccomandate dalla Free Sofware Foundation. Se mastichi l'anglo-emiliano, ti suggerisco di dare un'occhiata a questo video (che peraltro non richiede flash): è l'intervento di Stefano Zacchiroli all'ultima conferenza LibrePlanet, e la politica su "contrib" e "non-free" è ampiamente discussa. Quindi, prima di abilitare le sezioni in questione, pensa se ti servono davvero.

Personalmente sono costretto ad usare il plugin, su una sola macchina, perché altrimenti un familiare non potrebbe scaricare il "cedolino" relativo al proprio stipendio dal sito dell'azienda per cui lavora. Sì, è assurdo, ma è già un miglioramento: fino a qualche tempo fa era indispensabile usare la versione di flash con controlli ActiveX (o come si chiamano), quindi avevo dovuto rispolverare WinXP. Per il resto, se qualcuno carica un contenuto flash in rete, evito di "fruirne", ma mi rendo conto che è una scelta mia.

Ci sarebbe poi la questione del "cuginetto" Silverlight, e del fatto che sia stato scelto dalla televisione pubblica per i contenuti sul web... che tristezza.

Per concludere: esiste la possibilità di usare quel plugin con Debian (come ti ha detto mirko.pagliai, si tratta probabilmente di modificare /etc/apt/sources.list). A te le riflessioni e la scelta, scusa per la predica.
Avatar utente
razor
Full Member
Full Member
 
Messaggi: 171
Iscritto il: 11/05/2013, 17:56
Località: Genova (più o meno)

Re: Non trova i pacchetti per Flash

Messaggioda Tigellino » 05/10/2013, 18:14

Non dimentichiamo l'uso sempre più frequente che si fa nei forum dei filmati, non solo di youtube. Pure io, di solito ne faccio a meno. Però ho un hd con una versione vecchia di una distro, alla quale ho aggiunto tutti i softwzre e le librerie che mi servivano e poi da ultimo l'ho "uccisa" installando flashplayer plugin. Quando mi serve, stacco l'hd principale e metto quello (ne ho 5 impilati in un vecchio big tower sempre aperto lol)
Avatar utente
Tigellino
Full Member
Full Member
 
Messaggi: 204
Iscritto il: 05/06/2013, 7:35
Località: Toscana

Re: Non trova i pacchetti per Flash

Messaggioda Leocane » 10/11/2013, 19:43

ciao a tutti, scusate se rispondo così tardi.

Dopo aver tribulato abbastanza sono riuscito a installare Debian con kde e sono soddisfatto di tutto, a parte i video su youtube... Ho seguito le guide consigliate (http://guide.debianizzati.org/index.php ... _su_Debian)
ma:

Gnash si funziona ma carica i video solo in 240p;

VLC non li carica proprio;

Il pacchetto minitube non esiste più
Codice: Seleziona tutto
root@Leo-machine:/home/leo# apt-get install minitube
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto minitube


Totem funziona, ma non si può andare avanti oltre alla parte caricata, e il plugin funziona si, ma carica i video con una risoluzione molto bassa. Per farlo funzionare bene bisogna cercare i video su youtube e caricarli da filmato>apri posizione.

Le altre soluzioni non le ho provate perchè sono simili a Totem. Però forse quella guida dovrebbe essere revisionata un attimo...

Certo che quindi alternativa free esiste, però al costo della comodità. A voi gnash funziona con video a definizione più alta o è solo un mio problema?
Leocane
Newbie
Newbie
 
Messaggi: 9
Iscritto il: 26/09/2013, 1:48

Re: Non trova i pacchetti per Flash

Messaggioda Tigellino » 19/11/2013, 8:35

Ieri ho installato flashplugin-nonfree e.....non funziona! In aggiunta per iceweasel non è più disponibile lìestensione flashAid. Che flash sia divenuto il mangano di zozzobill per sfondare le barricate dei linuxiani e indurre i popoli a tornare a winzozzo?
Avatar utente
Tigellino
Full Member
Full Member
 
Messaggi: 204
Iscritto il: 05/06/2013, 7:35
Località: Toscana

Re: Non trova i pacchetti per Flash

Messaggioda Leocane » 05/01/2014, 12:25

Io alla fine ho risolto guardando su youtube quelli che si vedono in html5 e su totem quelli per cui bisogna avere per forza flash...Non è il massimo della comodità ma almeno si vedono bene, ciao
Leocane
Newbie
Newbie
 
Messaggi: 9
Iscritto il: 26/09/2013, 1:48

Re: Non trova i pacchetti per Flash

Messaggioda Tigellino » 05/01/2014, 21:57

Ho risolto utilizzando una ricerca analitica con Krusader: ho cercato tutte le cartelle che facessero riferimento a iceweasel e mozilla, copiando i files dell'archivio ark del flash-plugin dentro ad ognuna, comprese le cartelle plugin: evidentemente il comando apt-get install va a installare un pacchetto diciamo non testato troppo bene, altrimenti a installazione andata a buon fine, dovrebbe funzionare subito. Adesso funziona tutto !
Avatar utente
Tigellino
Full Member
Full Member
 
Messaggi: 204
Iscritto il: 05/06/2013, 7:35
Località: Toscana

Re: Non trova i pacchetti per Flash

Messaggioda Aki » 06/01/2014, 9:58

@Leocane:
Non riesco a comprendere se hai rinunciato all'installazione di flash perché non sei riuscito tecnicamente (come ad inizio della discussione) oppure per scelta volontaria (come sembra alla fine): potresti specificarlo ?

Te lo chiedo perché il pacchetto, pur con contenuto proprietario e con tutti i limiti di licenza precedentemente esposti nella discussione, attualmente è documentato installi correttamente il plugin sulle architetture supportate; la pagina dei bug report non riporta alcuna anomalia in tal senso. Stai forse usando un'architettura diversa da i386 e amd64 (ad esempio, un Mac con processore diverso da Intel) ?
Aki
Global Moderator
Global Moderator
 
Messaggi: 8297
Iscritto il: 27/12/2007, 16:59


Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 5 ospiti